> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contact

> Create a new contact for your team. The request fails if a contact with the same normalized phone number already exists.



## OpenAPI

````yaml /openapi.yaml post /api/v1/create-contact
openapi: 3.1.0
info:
  title: Voxworks API
  version: 1.0.0
  description: >-
    Public REST API for creating contacts, scheduling calls, retrieving call
    results, managing lists and objects, and receiving automation webhooks.
servers:
  - url: https://api.voxworks.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Health
  - name: Contacts
  - name: Calls
  - name: Lists
  - name: Objects
  - name: Webhooks
paths:
  /api/v1/create-contact:
    post:
      tags:
        - Contacts
      summary: Create contact
      description: >-
        Create a new contact for your team. The request fails if a contact with
        the same normalized phone number already exists.
      operationId: createContact
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactRequest'
            example:
              phone_number: '0429069971'
              first_name: John
              last_name: Smith
              email: john.smith@example.com
              title: Mr
      responses:
        '201':
          description: Contact created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateContactResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '409':
          description: Contact already exists.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                message: Contact with this phone number already exists
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CreateContactRequest:
      type: object
      required:
        - phone_number
        - first_name
      properties:
        phone_number:
          type: string
          description: >-
            Contact phone number. Common local formats are accepted and
            normalized to E.164.
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
          format: email
        address:
          type: string
        location:
          type: string
        gender:
          type: string
        age:
          type: integer
        title:
          type: string
    CreateContactResponse:
      type: object
      required:
        - success
        - contact_id
      properties:
        success:
          type: boolean
          example: true
        contact_id:
          type: string
    ErrorResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  responses:
    BadRequest:
      description: Missing or invalid request data.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Missing, malformed, or invalid authorization.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            invalid:
              value:
                success: false
                message: Invalid API key
    RateLimited:
      description: Rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: string
        X-RateLimit-Limit:
          schema:
            type: string
        X-RateLimit-Remaining:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Rate limit exceeded
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Internal server error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: 'API key from Voxworks, sent as `Authorization: Bearer YOUR_API_KEY`.'

````